Mail server broken - dovecot antispam plugin

mail
updates
v7

(alex) #1

Error: Couldn’t load required plugin /usr/lib64/dovecot/lib90_antispam_plugin.so: Module is for different ABI version 2.2.ABIv10(2.2.10) (we have 2.2.ABIv36(2.2.36))

Any thoughts folks? I notice on github that there has been some recent challenges with dovecot. This failure seems to have occurred since a code update last night

is there an easy way to backout the updates from last night? that would get my friends mail server back online i hope!


IMAP seemed to stop working
(alex) #2

by updates i mean that the yum log shows code updates took place around 4am so im assuming that what lead to the issue


(Davide Principi) #3

Please check this thread and the suggested solution(s)


As workaround it is now possible to upgrade to 7.6.1810 beta, as explained here

After that, remove the template-custom as explained here


(Davide Principi) #4